Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
security::RoleAccessControl Struct Reference

Role-based access control settings. More...

## Public Attributes
boolean | enabled
| `true` to enable role-based access control
RoleAccessPolicy | defaultPolicy
| Default policy.
vector< RoleAccessRule > | rules
| List of access rules.

## Detailed Description

Role-based access control settings.

Definition at line 50 of file Security.idl.

## Member Data Documentation

## ◆ defaultPolicy

RoleAccessPolicy security::RoleAccessControl::defaultPolicy

Default policy.

Definition at line 52 of file Security.idl.

## ◆ enabled

boolean security::RoleAccessControl::enabled

`true` to enable role-based access control

Definition at line 51 of file Security.idl.

## ◆ rules

vector<RoleAccessRule> security::RoleAccessControl::rules

List of access rules.

Definition at line 53 of file Security.idl.

The documentation for this struct was generated from the following file:

- Security.idl